# InstaLabelClient
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.1.0
- Package version: 1.0.0
- Generator version: 7.8.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import instalabel.client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import instalabel.client
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import instalabel.client
from instalabel.client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = instalabel.client.Configuration(
    host = "http://localhost"
)



# Enter a context with an instance of the API client
with instalabel.client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = instalabel.client.AuthApi(api_client)
    username = 'username_example' # str | 
    password = 'password_example' # str | 
    grant_type = 'grant_type_example' # str |  (optional)
    scope = '' # str |  (optional) (default to '')
    client_id = 'client_id_example' # str |  (optional)
    client_secret = 'client_secret_example' # str |  (optional)

    try:
        # Login For Access Token
        api_response = api_instance.login_for_access_token_api_v1_auth_token_post(username, password, grant_type=grant_type, scope=scope, client_id=client_id, client_secret=client_secret)
        print("The response of AuthApi->login_for_access_token_api_v1_auth_token_post:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling AuthApi->login_for_access_token_api_v1_auth_token_post: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AuthApi* | [**login_for_access_token_api_v1_auth_token_post**](docs/AuthApi.md#login_for_access_token_api_v1_auth_token_post) | **POST** /api/v1/auth/token | Login For Access Token
*AwsIntegrationsApi* | [**create_integration_api_v1_aws_integrations_post**](docs/AwsIntegrationsApi.md#create_integration_api_v1_aws_integrations_post) | **POST** /api/v1/aws-integrations/ | Create Integration
*AwsIntegrationsApi* | [**delete_integration_api_v1_aws_integrations_integration_id_delete**](docs/AwsIntegrationsApi.md#delete_integration_api_v1_aws_integrations_integration_id_delete) | **DELETE** /api/v1/aws-integrations/{integrationId} | Delete Integration
*AwsIntegrationsApi* | [**get_integration_api_v1_aws_integrations_integration_id_get**](docs/AwsIntegrationsApi.md#get_integration_api_v1_aws_integrations_integration_id_get) | **GET** /api/v1/aws-integrations/{integrationId} | Get Integration
*AwsIntegrationsApi* | [**get_workspace_integrations_api_v1_aws_integrations_workspace_workspace_id_get**](docs/AwsIntegrationsApi.md#get_workspace_integrations_api_v1_aws_integrations_workspace_workspace_id_get) | **GET** /api/v1/aws-integrations/workspace/{workspaceId} | Get Workspace Integrations
*ImagesApi* | [**get_image_api_v1_images_image_id_get**](docs/ImagesApi.md#get_image_api_v1_images_image_id_get) | **GET** /api/v1/images/{imageId} | Get Image
*ImagesApi* | [**get_project_images_api_v1_images_get**](docs/ImagesApi.md#get_project_images_api_v1_images_get) | **GET** /api/v1/images/ | Get Project Images
*ImagesApi* | [**upload_image_api_v1_images_post**](docs/ImagesApi.md#upload_image_api_v1_images_post) | **POST** /api/v1/images/ | Upload Image
*ImagesApi* | [**upload_images_with_coco_api_v1_images_external_s3_coco_upload_post**](docs/ImagesApi.md#upload_images_with_coco_api_v1_images_external_s3_coco_upload_post) | **POST** /api/v1/images/external-s3-coco-upload | Upload Images With Coco
*ProjectsApi* | [**create_project_api_v1_projects_post**](docs/ProjectsApi.md#create_project_api_v1_projects_post) | **POST** /api/v1/projects/ | Create Project
*ProjectsApi* | [**read_project_api_v1_projects_project_id_get**](docs/ProjectsApi.md#read_project_api_v1_projects_project_id_get) | **GET** /api/v1/projects/{projectId} | Read Project
*ProjectsApi* | [**read_projects_api_v1_projects_get**](docs/ProjectsApi.md#read_projects_api_v1_projects_get) | **GET** /api/v1/projects/ | Read Projects
*ProjectsApi* | [**update_project_api_v1_projects_project_id_put**](docs/ProjectsApi.md#update_project_api_v1_projects_project_id_put) | **PUT** /api/v1/projects/{projectId} | Update Project
*WorkspacesApi* | [**create_workspace_api_v1_workspaces_post**](docs/WorkspacesApi.md#create_workspace_api_v1_workspaces_post) | **POST** /api/v1/workspaces/ | Create Workspace
*WorkspacesApi* | [**read_workspace_api_v1_workspaces_workspace_id_get**](docs/WorkspacesApi.md#read_workspace_api_v1_workspaces_workspace_id_get) | **GET** /api/v1/workspaces/{workspaceId} | Read Workspace
*WorkspacesApi* | [**read_workspaces_api_v1_workspaces_get**](docs/WorkspacesApi.md#read_workspaces_api_v1_workspaces_get) | **GET** /api/v1/workspaces/ | Read Workspaces


## Documentation For Models

 - [AWSIntegrationCreate](docs/AWSIntegrationCreate.md)
 - [AWSIntegrationResponse](docs/AWSIntegrationResponse.md)
 - [AnnotationData](docs/AnnotationData.md)
 - [Attribute](docs/Attribute.md)
 - [AttributeSelection](docs/AttributeSelection.md)
 - [AttributeType](docs/AttributeType.md)
 - [BBoxAnnotation](docs/BBoxAnnotation.md)
 - [ClassInformation](docs/ClassInformation.md)
 - [CocoUploadRequest](docs/CocoUploadRequest.md)
 - [CreditLimits](docs/CreditLimits.md)
 - [HTTPValidationError](docs/HTTPValidationError.md)
 - [ImageResponse](docs/ImageResponse.md)
 - [Ontology](docs/Ontology.md)
 - [OntologyClass](docs/OntologyClass.md)
 - [Option](docs/Option.md)
 - [PolygonAnnotation](docs/PolygonAnnotation.md)
 - [ProjectCreate](docs/ProjectCreate.md)
 - [ProjectResponse](docs/ProjectResponse.md)
 - [ProjectUpdateRequest](docs/ProjectUpdateRequest.md)
 - [TaskEnum](docs/TaskEnum.md)
 - [Token](docs/Token.md)
 - [ValidationError](docs/ValidationError.md)
 - [ValidationErrorLocInner](docs/ValidationErrorLocInner.md)
 - [WorkspaceCreate](docs/WorkspaceCreate.md)
 - [WorkspaceCredits](docs/WorkspaceCredits.md)
 - [WorkspaceInDB](docs/WorkspaceInDB.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="OAuth2PasswordBearer"></a>
### OAuth2PasswordBearer

- **Type**: OAuth
- **Flow**: password
- **Authorization URL**: 
- **Scopes**: N/A


## Author




